{
  "name": "my-app",
  "version": "0.0.0",
  "scripts": {
    "build": "ng build",
    "build-storybook": "ng run my-app:build-storybook",
    "build:elements": "ng build --configuration production --output-hashing none && cat dist/runtime.js dist/polyfills.js dist/main.js > dist/color-display.js",
    "link-sae-lib": "bash ./scripts/link-sae-lib.sh",
    "ng": "ng",
    "postinstall": "npm run link-sae-lib",
    "serve:ssr:my-app": "node dist/my-app/server/server.mjs",
    "start": "ng serve",
    "storybook": "ng run my-app:storybook",
    "test": "ng test",
    "watch": "ng build --watch --configuration development"
  },
  "prettier": {
    "overrides": [
      {
        "files": "*.html",
        "options": {
          "parser": "angular"
        }
      }
    ]
  },
  "private": true,
  "dependencies": {
    "@angular/common": "^20.1.0",
    "@angular/compiler": "^20.1.0",
    "@angular/core": "^20.1.0",
    "@angular/forms": "^20.1.0",
    "@angular/platform-browser": "^20.1.0",
    "@angular/platform-server": "^20.1.0",
    "@angular/router": "^20.1.0",
    "@angular/ssr": "^20.1.1",
    "@ngrx/store": "^20.0.0",
    "@ngrx/store-devtools": "^20.0.0",
    "@sjmc11/tourguidejs": "^0.0.27",
    "angular-shepherd": "^20.0.0",
    "express": "^5.1.0",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^20.1.1",
    "@angular/build": "^20.1.1",
    "@angular/cli": "^20.1.1",
    "@angular/compiler-cli": "^20.1.0",
    "@angular/localize": "^20.1.2",
    "@mdx-js/loader": "^3.1.0",
    "@storybook/addon-docs": "^9.0.17",
    "@storybook/addon-links": "^9.0.17",
    "@storybook/addon-viewport": "^9.0.8",
    "@storybook/addon-vitest": "^9.0.17",
    "@storybook/angular": "^9.0.17",
    "@types/express": "^5.0.1",
    "@types/jasmine": "~5.1.0",
    "@types/node": "^20.17.19",
    "ag-grid-angular": "^34.0.2",
    "bulma": "^1.0.4",
    "jasmine-core": "~5.8.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "remixicon": "^4.6.0",
    "storybook": "^9.0.17",
    "typescript": "~5.8.2"
  }
}
